import axios from "../../utils/axios";

//--------------获取ERP数据-------------------
export function getErpMainOrder(query) {
    return axios({
        url: "/warehouse/getErpMainOrder",
        method: "get",
        params: query
    });
}

export function getCloudErp(query) {
    return axios({
        url: "/warehouse/ucloud/purchasein_query",
        method: "get",
        params: query
    });
}


export function getErpMainOrderStatus(query) {
    return axios({
        url: "/warehouse/getErpMainOrderStatus",
        method: "get",
        params: query
    });
}


export function getErpDetailOrder(query) {
    return axios({
        url: "/warehouse/getErpDetailOrder",
        method: "get",
        params: query
    });
}

export function importErpOrder(query) {
    return axios({
        url: "/warehouse/importErpOrder",
        method: "post",
        data: query
    });
}
export function combineErpOrder(query) {
    return axios({
        url: "/warehouse/combineErpOrder",
        method: "post",
        data: query
    });
}


export function getMyErpOrders(query) {
    return axios({
        url: "/warehouse/getMyErpOrders",
        method: "get",
        params: query
    });
}

export function getMyMainErpOrders(query) {
    return axios({
        url: "/warehouse/getMyMainErpOrders",
        method: "get",
        params: query
    });
}


export function deleteErpOrder(query) {
    return axios({
        url: "/warehouse/deleteErpOrder",
        method: "post",
        data: query
    });
}

export function selectErpOrder(query) {
    return axios({
        url: "/warehouse/selectErpOrder",
        method: "post",
        data: query
    });
}
export function importErpStock(query) {
    return axios({
        url: "/warehouse/stockPrint/importErpStock",
        method: "post",
        data: query
    });
}

export function repeatCheck(query) {
    return axios({
        url: "/warehouse/repeatCheck",
        method: "post",
        data: query
    });
}


export function repeatPrintCheck(query) {
    return axios({
        url: "/warehouse/repeatPrintCheck",
        method: "post",
        data: query
    });
}


export function dlErpStock(query) {
    return axios({
        url: "/warehouse/dlErpStock",
        method: "get",
        params: query
    });
}

